Bug Hunting Session
Bug 54233 - Scroll custom shape with radial, quadratic, ellipsoid or square gradient is badly exported to pdf
Summary: Scroll custom shape with radial, quadratic, ellipsoid or square gradient is b...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
: 73772 92988 (view as bug list)
Depends on:
Blocks: PDF-Export Shapes-Custom
  Show dependency treegraph
 
Reported: 2012-08-29 21:29 UTC by jun meguro
Modified: 2019-02-22 11:00 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document. (9.97 KB, application/vnd.oasis.opendocument.text)
2012-08-29 21:29 UTC, jun meguro
Details
sample pdf (8.22 KB, application/pdf)
2012-08-29 21:29 UTC, jun meguro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2012-08-29 21:29:04 UTC
Created attachment 66301 [details]
sample document.

1.Put ribbon shape.
2.Set square gradient to area filling of shape.
3.Output the pdf.
4.Gradient will Protrude region.
Comment 1 jun meguro 2012-08-29 21:29:49 UTC
Created attachment 66302 [details]
sample pdf
Comment 2 A (Andy) 2012-12-26 21:27:05 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

This is a really strange bug, which I can not explain to me.  Maybe somebody else can help?
In WRITER you will see the ribbon shape from the sample odt-attachment, but if you export it to pdf, then this rectangle will be added as shown in the sample.pdf attachment.  You can not see this rectangle in WRITER.
But if you print it through a pdf-printer tool, then the ribbon shape will printed correctly without this rectangle.

But there also other issues.  If you save this file as a doc-document and open it in LO then you can see the ribbon shape, but the gradient filling is different.  If you open it in WORD 2007 it will also be shown, but with another third different gradient filling.
If you save this file as a docx-document and open it in LO then you will see no ribbon shape at all.  But if you open this file in WORD 2007 then you will see the ribbon shape, but with no gradient filling at all.
Comment 3 tommy27 2014-01-12 21:27:32 UTC
bug still there in 4.1.4.2 (Win7 64bit)
Comment 4 Joel Madero 2015-05-02 15:41:10 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-06-20 12:02:52 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 6 Maxim Monastirsky 2015-07-29 09:40:07 UTC
*** Bug 73772 has been marked as a duplicate of this bug. ***
Comment 7 Maxim Monastirsky 2015-07-29 09:40:31 UTC
*** Bug 92988 has been marked as a duplicate of this bug. ***
Comment 8 Maxim Monastirsky 2015-07-29 09:49:37 UTC
Additional info from Bug 73772: It affects only "Horizontal Scroll" and "Vertical Scroll" custom shapes, with radial, quadratic, ellipsoid and square gradients.

I can reproduce it with self-made builds of current master/5-0/4-4 under Fedora 22 (64-bit), and also with today's master build from tb@70. For some reason it doesn't happen with 4.4.4.3 from Fedora repos.
Comment 9 ilianus 2015-07-30 17:05:59 UTC
inherited from openoffice but fixed in apache openoffice 4.1.1
Comment 10 ilianus 2015-07-30 17:49:11 UTC
what about the stripes?????
Comment 11 ilianus 2015-07-30 17:51:45 UTC
what about the abnormal stripes?????
Comment 12 ilianus 2015-08-04 16:25:02 UTC
any chance to fix these bugs in libreoffice 5 ?????????
Comment 13 Joel Madero 2015-08-04 16:34:12 UTC
@ilianus

Please read this blog post closely : https://joelmadero.wordpress.com/2014/10/11/user-expectations-and-the-reality-of-our-community/
Comment 14 ilianus 2015-08-10 09:31:51 UTC
instead of adding new features you should concentrate your efforts in geting rid of the annoying bugs.




i don't use libreoffice i am just a tester
Comment 15 Joel Madero 2015-08-11 02:26:24 UTC
That is not at all how the project works - volunteers fix bugs or add enhancements, as they want, when they want to. Please do not add comments to bugs that do not enhance the bug report and instead just dictate how other people do their work. If you want to nag about the process - feel free to do so on the mailing list.
Comment 16 ilianus 2015-08-11 23:12:10 UTC
i don't dictate, i just give some advices
Comment 17 QA Administrators 2016-09-20 10:20:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920